package cn.superdesk.uniorder.dao.entity.accounting.unified.operator;

import java.math.BigDecimal;
import java.util.Date;

public class AccountingUnifiedOperator {
    private Long id;

    private String accountingOrderSn;

    private Byte accountingStatus;

    private Long customerId;

    private String customerName;

    private String customerCode;

    private Long invoiceTitleId;

    private Long bizPersonnelId;

    private String bizPersonnelName;

    private String bizPersonnelMobile;

    private Long settlementPlanId;

    private Date startTime;

    private Date endTime;

    private String relOrderTypes;

    private Integer orderCount;

    private Integer orderGoodsCount;

    private Integer orderCreditCount;

    private BigDecimal orderAmount;

    private BigDecimal orderSettlementAmoun;

    private BigDecimal orderNonSettlementAmount;

    private BigDecimal shareProfit;

    private BigDecimal serviceCharge;

    private BigDecimal accountingAmount;

    private String remark;

    private Byte emailStatus;

    private String cancelReason;

    private String rejectReson;

    private Long submitUserId;

    private Date submitTime;

    private Date createTime;

    private Long createUserId;

    private Date updateTime;

    private Long updateUserId;

    private Byte deleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAccountingOrderSn() {
        return accountingOrderSn;
    }

    public void setAccountingOrderSn(String accountingOrderSn) {
        this.accountingOrderSn = accountingOrderSn;
    }

    public Byte getAccountingStatus() {
        return accountingStatus;
    }

    public void setAccountingStatus(Byte accountingStatus) {
        this.accountingStatus = accountingStatus;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public Long getInvoiceTitleId() {
        return invoiceTitleId;
    }

    public void setInvoiceTitleId(Long invoiceTitleId) {
        this.invoiceTitleId = invoiceTitleId;
    }

    public Long getBizPersonnelId() {
        return bizPersonnelId;
    }

    public void setBizPersonnelId(Long bizPersonnelId) {
        this.bizPersonnelId = bizPersonnelId;
    }

    public String getBizPersonnelName() {
        return bizPersonnelName;
    }

    public void setBizPersonnelName(String bizPersonnelName) {
        this.bizPersonnelName = bizPersonnelName;
    }

    public String getBizPersonnelMobile() {
        return bizPersonnelMobile;
    }

    public void setBizPersonnelMobile(String bizPersonnelMobile) {
        this.bizPersonnelMobile = bizPersonnelMobile;
    }

    public Long getSettlementPlanId() {
        return settlementPlanId;
    }

    public void setSettlementPlanId(Long settlementPlanId) {
        this.settlementPlanId = settlementPlanId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRelOrderTypes() {
        return relOrderTypes;
    }

    public void setRelOrderTypes(String relOrderTypes) {
        this.relOrderTypes = relOrderTypes;
    }

    public Integer getOrderCount() {
        return orderCount;
    }

    public void setOrderCount(Integer orderCount) {
        this.orderCount = orderCount;
    }

    public Integer getOrderGoodsCount() {
        return orderGoodsCount;
    }

    public void setOrderGoodsCount(Integer orderGoodsCount) {
        this.orderGoodsCount = orderGoodsCount;
    }

    public Integer getOrderCreditCount() {
        return orderCreditCount;
    }

    public void setOrderCreditCount(Integer orderCreditCount) {
        this.orderCreditCount = orderCreditCount;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public BigDecimal getOrderSettlementAmoun() {
        return orderSettlementAmoun;
    }

    public void setOrderSettlementAmoun(BigDecimal orderSettlementAmoun) {
        this.orderSettlementAmoun = orderSettlementAmoun;
    }

    public BigDecimal getOrderNonSettlementAmount() {
        return orderNonSettlementAmount;
    }

    public void setOrderNonSettlementAmount(BigDecimal orderNonSettlementAmount) {
        this.orderNonSettlementAmount = orderNonSettlementAmount;
    }

    public BigDecimal getShareProfit() {
        return shareProfit;
    }

    public void setShareProfit(BigDecimal shareProfit) {
        this.shareProfit = shareProfit;
    }

    public BigDecimal getServiceCharge() {
        return serviceCharge;
    }

    public void setServiceCharge(BigDecimal serviceCharge) {
        this.serviceCharge = serviceCharge;
    }

    public BigDecimal getAccountingAmount() {
        return accountingAmount;
    }

    public void setAccountingAmount(BigDecimal accountingAmount) {
        this.accountingAmount = accountingAmount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Byte getEmailStatus() {
        return emailStatus;
    }

    public void setEmailStatus(Byte emailStatus) {
        this.emailStatus = emailStatus;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public String getRejectReson() {
        return rejectReson;
    }

    public void setRejectReson(String rejectReson) {
        this.rejectReson = rejectReson;
    }

    public Long getSubmitUserId() {
        return submitUserId;
    }

    public void setSubmitUserId(Long submitUserId) {
        this.submitUserId = submitUserId;
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Byte getDeleted() {
        return deleted;
    }

    public void setDeleted(Byte deleted) {
        this.deleted = deleted;
    }
}